%%%%%
%%%%% This problem is used by: 0sn,1,wave-superpos-m-conservation
%%%%%
        A water wave is in a tank that extends horizontally from $x=0$ to $x=a$, and
        from $z=0$ to $z=b$. We assume for simplicity that at a certain moment
        in time the height $y$ of the water's
        surface only depends on $x$, not $z$, so that we can effectively ignore the
        $z$ coordinate. Under these assumptions, the total volume of the water in the tank
        is \begin{displaymath}V = b \int_0^a{y(x) \der{}x}\qquad.\end{displaymath}\\
        Since the density of the water is essentially
        constant, conservation of mass requires that $V$ is always the same. When the
        water is calm, we have $y=h$, where $h=V/ab$. If two different wave patterns move
        into each other, we might imagine that they would add in the sense that $y_{total}-h
        = (y_1-h) + (y_2-h)$. Show that this type of addition is consistent with conservation
        of mass. 
